Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Klineak Class Reference

`#include <klineak.h>`

List of all members.

## Public Slots
virtual void | restartLineakd ()
virtual void | startLineakd ()
virtual void | stopLineakd ()
## Signals
virtual void | toggleApp ()
virtual void | cleanExit ()
virtual void | stop ()
virtual void | start ()
virtual void | restart ()
## Public Methods
| Klineak (QWidget *parent=0, const char *name=0)
| ~Klineak ()
void | mousePressEvent (QMouseEvent *ev)
## Public Attributes
QPixmap | klineakconfigPixmap
KPopupMenu * | menu
KAction * | fileQuit
KAction * | lineakdRestart
KAction * | lineakdStop
KAction * | lineakdStart
KActionCollection * | actionCollection

## Detailed Description

System tray class

Author:
  Sheldon Lee Wen

## Constructor & Destructor Documentation

Klineak::Klineak | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

Klineak::~Klineak | ( |  | ) |

## Member Function Documentation

virtual void Klineak::cleanExit | ( |  | ) | `[virtual, signal]`

void Klineak::mousePressEvent | ( | QMouseEvent * | ev | ) |

virtual void Klineak::restart | ( |  | ) | `[virtual, signal]`

virtual void Klineak::restartLineakd | ( |  | ) | `[virtual, slot]`

virtual void Klineak::start | ( |  | ) | `[virtual, signal]`

virtual void Klineak::startLineakd | ( |  | ) | `[virtual, slot]`

virtual void Klineak::stop | ( |  | ) | `[virtual, signal]`

virtual void Klineak::stopLineakd | ( |  | ) | `[virtual, slot]`

virtual void Klineak::toggleApp | ( |  | ) | `[virtual, signal]`

## Member Data Documentation

KActionCollection* Klineak::actionCollection

KAction* Klineak::fileQuit

QPixmap Klineak::klineakconfigPixmap

KAction* Klineak::lineakdRestart

KAction* Klineak::lineakdStart

KAction* Klineak::lineakdStop

KPopupMenu* Klineak::menu

The documentation for this class was generated from the following file:

- klineak.h